Package weka.core.pmml.jaxbbindings

# Class Itemset

java.lang.Object
weka.core.pmml.jaxbbindings.Itemset

public class Itemset extends Object

Java class for Itemset element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Itemset">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ItemRef" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="numberOfItems" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
             <attribute name="support" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Itemset()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getId()`
  Gets the value of the id property.
  `List<ItemRef>`
  `getItemRef()`
  Gets the value of the itemRef property.
  `BigInteger`
  `getNumberOfItems()`
  Gets the value of the numberOfItems property.
  `BigDecimal`
  `getSupport()`
  Gets the value of the support property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setNumberOfItems(BigInteger value)`
  Sets the value of the numberOfItems property.
  `void`
  `setSupport(BigDecimal value)`
  Sets the value of the support property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Itemset

    public Itemset()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getItemRef

    public List<ItemRef> getItemRef()
    Gets the value of the itemRef property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the itemRef property.

    For example, to add a new item, do as follows:

            getItemRef().add(newItem);

    Objects of the following type(s) are allowed in the list `ItemRef`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNumberOfItems

    public BigInteger getNumberOfItems()
    Gets the value of the numberOfItems property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfItems

    public void setNumberOfItems(BigInteger value)
    Sets the value of the numberOfItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getSupport

    public BigDecimal getSupport()
    Gets the value of the support property.
    Returns:
      possible object is `BigDecimal`

  - ### setSupport

    public void setSupport(BigDecimal value)
    Sets the value of the support property.
    Parameters:
      `value` - allowed object is `BigDecimal`